// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/wgd/spec.proto

package wgd

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

//
// How to find where to place the wiregiard interface.
//   None = place in default namespace
//   ContainerdId = use the given containerd container id; container must exist
//   Namespace = put the wg interface in the given net namespace directly
//
type WgNsCode int32

const (
	WgNsCode_None         WgNsCode = 0
	WgNsCode_ContainerdId WgNsCode = 1
	WgNsCode_Namespace    WgNsCode = 2
)

var WgNsCode_name = map[int32]string{
	0: "None",
	1: "ContainerdId",
	2: "Namespace",
}

var WgNsCode_value = map[string]int32{
	"None":         0,
	"ContainerdId": 1,
	"Namespace":    2,
}

func (x WgNsCode) String() string {
	return proto.EnumName(WgNsCode_name, int32(x))
}

func (WgNsCode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{0}
}

//
// describes how to find a net namespace into which to put an interface.
//
// examples:
//    in a namespace: code = "Namespace", key = "muffins"
//    in a containerd namespace: code = "ContainerdId", key = [containerd id]
//    in default namespace: code = "None", key = ""
//
type WgNs struct {
	Code                 WgNsCode `protobuf:"varint,1,opt,name=code,proto3,enum=wgd.WgNsCode" json:"code,omitempty"`
	Key                  string   `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WgNs) Reset()         { *m = WgNs{} }
func (m *WgNs) String() string { return proto.CompactTextString(m) }
func (*WgNs) ProtoMessage()    {}
func (*WgNs) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{0}
}

func (m *WgNs) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WgNs.Unmarshal(m, b)
}
func (m *WgNs) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WgNs.Marshal(b, m, deterministic)
}
func (m *WgNs) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WgNs.Merge(m, src)
}
func (m *WgNs) XXX_Size() int {
	return xxx_messageInfo_WgNs.Size(m)
}
func (m *WgNs) XXX_DiscardUnknown() {
	xxx_messageInfo_WgNs.DiscardUnknown(m)
}

var xxx_messageInfo_WgNs proto.InternalMessageInfo

func (m *WgNs) GetCode() WgNsCode {
	if m != nil {
		return m.Code
	}
	return WgNsCode_None
}

func (m *WgNs) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

type WgPeerConfig struct {
	Key                  string   `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Allowedips           string   `protobuf:"bytes,2,opt,name=allowedips,proto3" json:"allowedips,omitempty"`
	Endpoint             string   `protobuf:"bytes,3,opt,name=endpoint,proto3" json:"endpoint,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WgPeerConfig) Reset()         { *m = WgPeerConfig{} }
func (m *WgPeerConfig) String() string { return proto.CompactTextString(m) }
func (*WgPeerConfig) ProtoMessage()    {}
func (*WgPeerConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{1}
}

func (m *WgPeerConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WgPeerConfig.Unmarshal(m, b)
}
func (m *WgPeerConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WgPeerConfig.Marshal(b, m, deterministic)
}
func (m *WgPeerConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WgPeerConfig.Merge(m, src)
}
func (m *WgPeerConfig) XXX_Size() int {
	return xxx_messageInfo_WgPeerConfig.Size(m)
}
func (m *WgPeerConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_WgPeerConfig.DiscardUnknown(m)
}

var xxx_messageInfo_WgPeerConfig proto.InternalMessageInfo

func (m *WgPeerConfig) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *WgPeerConfig) GetAllowedips() string {
	if m != nil {
		return m.Allowedips
	}
	return ""
}

func (m *WgPeerConfig) GetEndpoint() string {
	if m != nil {
		return m.Endpoint
	}
	return ""
}

// Create Gateway interface
type CreateGatewayInterfaceReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Namespace            string   `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Accessaddr           string   `protobuf:"bytes,3,opt,name=accessaddr,proto3" json:"accessaddr,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateGatewayInterfaceReq) Reset()         { *m = CreateGatewayInterfaceReq{} }
func (m *CreateGatewayInterfaceReq) String() string { return proto.CompactTextString(m) }
func (*CreateGatewayInterfaceReq) ProtoMessage()    {}
func (*CreateGatewayInterfaceReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{2}
}

func (m *CreateGatewayInterfaceReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateGatewayInterfaceReq.Unmarshal(m, b)
}
func (m *CreateGatewayInterfaceReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateGatewayInterfaceReq.Marshal(b, m, deterministic)
}
func (m *CreateGatewayInterfaceReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateGatewayInterfaceReq.Merge(m, src)
}
func (m *CreateGatewayInterfaceReq) XXX_Size() int {
	return xxx_messageInfo_CreateGatewayInterfaceReq.Size(m)
}
func (m *CreateGatewayInterfaceReq) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateGatewayInterfaceReq.DiscardUnknown(m)
}

var xxx_messageInfo_CreateGatewayInterfaceReq proto.InternalMessageInfo

func (m *CreateGatewayInterfaceReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *CreateGatewayInterfaceReq) GetNamespace() string {
	if m != nil {
		return m.Namespace
	}
	return ""
}

func (m *CreateGatewayInterfaceReq) GetAccessaddr() string {
	if m != nil {
		return m.Accessaddr
	}
	return ""
}

type CreateGatewayInterfaceResp struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Publickey            string   `protobuf:"bytes,2,opt,name=publickey,proto3" json:"publickey,omitempty"`
	Listenport           uint32   `protobuf:"varint,3,opt,name=listenport,proto3" json:"listenport,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateGatewayInterfaceResp) Reset()         { *m = CreateGatewayInterfaceResp{} }
func (m *CreateGatewayInterfaceResp) String() string { return proto.CompactTextString(m) }
func (*CreateGatewayInterfaceResp) ProtoMessage()    {}
func (*CreateGatewayInterfaceResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{3}
}

func (m *CreateGatewayInterfaceResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateGatewayInterfaceResp.Unmarshal(m, b)
}
func (m *CreateGatewayInterfaceResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateGatewayInterfaceResp.Marshal(b, m, deterministic)
}
func (m *CreateGatewayInterfaceResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateGatewayInterfaceResp.Merge(m, src)
}
func (m *CreateGatewayInterfaceResp) XXX_Size() int {
	return xxx_messageInfo_CreateGatewayInterfaceResp.Size(m)
}
func (m *CreateGatewayInterfaceResp) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateGatewayInterfaceResp.DiscardUnknown(m)
}

var xxx_messageInfo_CreateGatewayInterfaceResp proto.InternalMessageInfo

func (m *CreateGatewayInterfaceResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *CreateGatewayInterfaceResp) GetPublickey() string {
	if m != nil {
		return m.Publickey
	}
	return ""
}

func (m *CreateGatewayInterfaceResp) GetListenport() uint32 {
	if m != nil {
		return m.Listenport
	}
	return 0
}

// Create Client ID
type CreateClientInterfaceReq struct {
	Enclaveid            string        `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Accessaddr           string        `protobuf:"bytes,2,opt,name=accessaddr,proto3" json:"accessaddr,omitempty"`
	Namespace            *WgNs         `protobuf:"bytes,3,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Gateway              *WgPeerConfig `protobuf:"bytes,4,opt,name=gateway,proto3" json:"gateway,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *CreateClientInterfaceReq) Reset()         { *m = CreateClientInterfaceReq{} }
func (m *CreateClientInterfaceReq) String() string { return proto.CompactTextString(m) }
func (*CreateClientInterfaceReq) ProtoMessage()    {}
func (*CreateClientInterfaceReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{4}
}

func (m *CreateClientInterfaceReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateClientInterfaceReq.Unmarshal(m, b)
}
func (m *CreateClientInterfaceReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateClientInterfaceReq.Marshal(b, m, deterministic)
}
func (m *CreateClientInterfaceReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateClientInterfaceReq.Merge(m, src)
}
func (m *CreateClientInterfaceReq) XXX_Size() int {
	return xxx_messageInfo_CreateClientInterfaceReq.Size(m)
}
func (m *CreateClientInterfaceReq) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateClientInterfaceReq.DiscardUnknown(m)
}

var xxx_messageInfo_CreateClientInterfaceReq proto.InternalMessageInfo

func (m *CreateClientInterfaceReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *CreateClientInterfaceReq) GetAccessaddr() string {
	if m != nil {
		return m.Accessaddr
	}
	return ""
}

func (m *CreateClientInterfaceReq) GetNamespace() *WgNs {
	if m != nil {
		return m.Namespace
	}
	return nil
}

func (m *CreateClientInterfaceReq) GetGateway() *WgPeerConfig {
	if m != nil {
		return m.Gateway
	}
	return nil
}

type CreateClientInterfaceResp struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Key                  string   `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateClientInterfaceResp) Reset()         { *m = CreateClientInterfaceResp{} }
func (m *CreateClientInterfaceResp) String() string { return proto.CompactTextString(m) }
func (*CreateClientInterfaceResp) ProtoMessage()    {}
func (*CreateClientInterfaceResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{5}
}

func (m *CreateClientInterfaceResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateClientInterfaceResp.Unmarshal(m, b)
}
func (m *CreateClientInterfaceResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateClientInterfaceResp.Marshal(b, m, deterministic)
}
func (m *CreateClientInterfaceResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateClientInterfaceResp.Merge(m, src)
}
func (m *CreateClientInterfaceResp) XXX_Size() int {
	return xxx_messageInfo_CreateClientInterfaceResp.Size(m)
}
func (m *CreateClientInterfaceResp) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateClientInterfaceResp.DiscardUnknown(m)
}

var xxx_messageInfo_CreateClientInterfaceResp proto.InternalMessageInfo

func (m *CreateClientInterfaceResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *CreateClientInterfaceResp) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

type WgPeerReq struct {
	Enclaveid            string        `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Peer                 *WgPeerConfig `protobuf:"bytes,2,opt,name=peer,proto3" json:"peer,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *WgPeerReq) Reset()         { *m = WgPeerReq{} }
func (m *WgPeerReq) String() string { return proto.CompactTextString(m) }
func (*WgPeerReq) ProtoMessage()    {}
func (*WgPeerReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{6}
}

func (m *WgPeerReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WgPeerReq.Unmarshal(m, b)
}
func (m *WgPeerReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WgPeerReq.Marshal(b, m, deterministic)
}
func (m *WgPeerReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WgPeerReq.Merge(m, src)
}
func (m *WgPeerReq) XXX_Size() int {
	return xxx_messageInfo_WgPeerReq.Size(m)
}
func (m *WgPeerReq) XXX_DiscardUnknown() {
	xxx_messageInfo_WgPeerReq.DiscardUnknown(m)
}

var xxx_messageInfo_WgPeerReq proto.InternalMessageInfo

func (m *WgPeerReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *WgPeerReq) GetPeer() *WgPeerConfig {
	if m != nil {
		return m.Peer
	}
	return nil
}

type WgPeerResp struct {
	Ok                   bool     `protobuf:"varint,1,opt,name=ok,proto3" json:"ok,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WgPeerResp) Reset()         { *m = WgPeerResp{} }
func (m *WgPeerResp) String() string { return proto.CompactTextString(m) }
func (*WgPeerResp) ProtoMessage()    {}
func (*WgPeerResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{7}
}

func (m *WgPeerResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WgPeerResp.Unmarshal(m, b)
}
func (m *WgPeerResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WgPeerResp.Marshal(b, m, deterministic)
}
func (m *WgPeerResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WgPeerResp.Merge(m, src)
}
func (m *WgPeerResp) XXX_Size() int {
	return xxx_messageInfo_WgPeerResp.Size(m)
}
func (m *WgPeerResp) XXX_DiscardUnknown() {
	xxx_messageInfo_WgPeerResp.DiscardUnknown(m)
}

var xxx_messageInfo_WgPeerResp proto.InternalMessageInfo

func (m *WgPeerResp) GetOk() bool {
	if m != nil {
		return m.Ok
	}
	return false
}

type DeleteInterfaceReq struct {
	Namespace            *WgNs    `protobuf:"bytes,1,opt,name=namespace,proto3" json:"namespace,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteInterfaceReq) Reset()         { *m = DeleteInterfaceReq{} }
func (m *DeleteInterfaceReq) String() string { return proto.CompactTextString(m) }
func (*DeleteInterfaceReq) ProtoMessage()    {}
func (*DeleteInterfaceReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{8}
}

func (m *DeleteInterfaceReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteInterfaceReq.Unmarshal(m, b)
}
func (m *DeleteInterfaceReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteInterfaceReq.Marshal(b, m, deterministic)
}
func (m *DeleteInterfaceReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteInterfaceReq.Merge(m, src)
}
func (m *DeleteInterfaceReq) XXX_Size() int {
	return xxx_messageInfo_DeleteInterfaceReq.Size(m)
}
func (m *DeleteInterfaceReq) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteInterfaceReq.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteInterfaceReq proto.InternalMessageInfo

func (m *DeleteInterfaceReq) GetNamespace() *WgNs {
	if m != nil {
		return m.Namespace
	}
	return nil
}

type DeleteInterfaceResp struct {
	Publickey            string   `protobuf:"bytes,1,opt,name=publickey,proto3" json:"publickey,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteInterfaceResp) Reset()         { *m = DeleteInterfaceResp{} }
func (m *DeleteInterfaceResp) String() string { return proto.CompactTextString(m) }
func (*DeleteInterfaceResp) ProtoMessage()    {}
func (*DeleteInterfaceResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{9}
}

func (m *DeleteInterfaceResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteInterfaceResp.Unmarshal(m, b)
}
func (m *DeleteInterfaceResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteInterfaceResp.Marshal(b, m, deterministic)
}
func (m *DeleteInterfaceResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteInterfaceResp.Merge(m, src)
}
func (m *DeleteInterfaceResp) XXX_Size() int {
	return xxx_messageInfo_DeleteInterfaceResp.Size(m)
}
func (m *DeleteInterfaceResp) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteInterfaceResp.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteInterfaceResp proto.InternalMessageInfo

func (m *DeleteInterfaceResp) GetPublickey() string {
	if m != nil {
		return m.Publickey
	}
	return ""
}

type InterfaceStatusReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Namespace            *WgNs    `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InterfaceStatusReq) Reset()         { *m = InterfaceStatusReq{} }
func (m *InterfaceStatusReq) String() string { return proto.CompactTextString(m) }
func (*InterfaceStatusReq) ProtoMessage()    {}
func (*InterfaceStatusReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{10}
}

func (m *InterfaceStatusReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InterfaceStatusReq.Unmarshal(m, b)
}
func (m *InterfaceStatusReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InterfaceStatusReq.Marshal(b, m, deterministic)
}
func (m *InterfaceStatusReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InterfaceStatusReq.Merge(m, src)
}
func (m *InterfaceStatusReq) XXX_Size() int {
	return xxx_messageInfo_InterfaceStatusReq.Size(m)
}
func (m *InterfaceStatusReq) XXX_DiscardUnknown() {
	xxx_messageInfo_InterfaceStatusReq.DiscardUnknown(m)
}

var xxx_messageInfo_InterfaceStatusReq proto.InternalMessageInfo

func (m *InterfaceStatusReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *InterfaceStatusReq) GetNamespace() *WgNs {
	if m != nil {
		return m.Namespace
	}
	return nil
}

type InterfaceStatusResp struct {
	Wgstatus             string   `protobuf:"bytes,1,opt,name=wgstatus,proto3" json:"wgstatus,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InterfaceStatusResp) Reset()         { *m = InterfaceStatusResp{} }
func (m *InterfaceStatusResp) String() string { return proto.CompactTextString(m) }
func (*InterfaceStatusResp) ProtoMessage()    {}
func (*InterfaceStatusResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c3fd9dfab4b4d42, []int{11}
}

func (m *InterfaceStatusResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InterfaceStatusResp.Unmarshal(m, b)
}
func (m *InterfaceStatusResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InterfaceStatusResp.Marshal(b, m, deterministic)
}
func (m *InterfaceStatusResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InterfaceStatusResp.Merge(m, src)
}
func (m *InterfaceStatusResp) XXX_Size() int {
	return xxx_messageInfo_InterfaceStatusResp.Size(m)
}
func (m *InterfaceStatusResp) XXX_DiscardUnknown() {
	xxx_messageInfo_InterfaceStatusResp.DiscardUnknown(m)
}

var xxx_messageInfo_InterfaceStatusResp proto.InternalMessageInfo

func (m *InterfaceStatusResp) GetWgstatus() string {
	if m != nil {
		return m.Wgstatus
	}
	return ""
}

func init() {
	proto.RegisterEnum("wgd.WgNsCode", WgNsCode_name, WgNsCode_value)
	proto.RegisterType((*WgNs)(nil), "wgd.WgNs")
	proto.RegisterType((*WgPeerConfig)(nil), "wgd.WgPeerConfig")
	proto.RegisterType((*CreateGatewayInterfaceReq)(nil), "wgd.CreateGatewayInterfaceReq")
	proto.RegisterType((*CreateGatewayInterfaceResp)(nil), "wgd.CreateGatewayInterfaceResp")
	proto.RegisterType((*CreateClientInterfaceReq)(nil), "wgd.CreateClientInterfaceReq")
	proto.RegisterType((*CreateClientInterfaceResp)(nil), "wgd.CreateClientInterfaceResp")
	proto.RegisterType((*WgPeerReq)(nil), "wgd.WgPeerReq")
	proto.RegisterType((*WgPeerResp)(nil), "wgd.WgPeerResp")
	proto.RegisterType((*DeleteInterfaceReq)(nil), "wgd.DeleteInterfaceReq")
	proto.RegisterType((*DeleteInterfaceResp)(nil), "wgd.DeleteInterfaceResp")
	proto.RegisterType((*InterfaceStatusReq)(nil), "wgd.InterfaceStatusReq")
	proto.RegisterType((*InterfaceStatusResp)(nil), "wgd.InterfaceStatusResp")
}

func init() { proto.RegisterFile("api/wgd/spec.proto", fileDescriptor_5c3fd9dfab4b4d42) }

var fileDescriptor_5c3fd9dfab4b4d42 = []byte{
	// 560 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x54, 0xdb, 0x6e, 0xd3, 0x40,
	0x10, 0xc5, 0x49, 0x04, 0xf1, 0xd0, 0x5c, 0x98, 0x0a, 0x30, 0x51, 0x09, 0xc5, 0x12, 0x6a, 0x05,
	0x28, 0x15, 0xa9, 0x78, 0x42, 0x3c, 0xa0, 0x44, 0x42, 0x15, 0x52, 0x54, 0x19, 0x89, 0x08, 0xc1,
	0xcb, 0xd6, 0x3b, 0xb5, 0xac, 0x18, 0xef, 0xe2, 0xdd, 0x62, 0xfa, 0x37, 0x7c, 0x01, 0xdf, 0x88,
	0x7c, 0x8b, 0x9d, 0x38, 0x69, 0xe8, 0x9b, 0x77, 0x2e, 0x7b, 0xe6, 0x9c, 0x3d, 0x63, 0x40, 0x26,
	0xfd, 0x93, 0xd8, 0xe3, 0x27, 0x4a, 0x92, 0x3b, 0x92, 0x91, 0xd0, 0x02, 0x9b, 0xb1, 0xc7, 0xed,
	0x77, 0xd0, 0x9a, 0x7b, 0x33, 0x85, 0xcf, 0xa1, 0xe5, 0x0a, 0x4e, 0x96, 0x71, 0x68, 0x1c, 0x77,
	0xc7, 0x9d, 0x51, 0xec, 0xf1, 0x51, 0x92, 0x98, 0x08, 0x4e, 0x4e, 0x9a, 0xc2, 0x3e, 0x34, 0x17,
	0x74, 0x6d, 0x35, 0x0e, 0x8d, 0x63, 0xd3, 0x49, 0x3e, 0xed, 0xef, 0xb0, 0x37, 0xf7, 0xce, 0x89,
	0xa2, 0x89, 0x08, 0x2f, 0x7d, 0xaf, 0xa8, 0x30, 0x96, 0x15, 0x38, 0x04, 0x60, 0x41, 0x20, 0x62,
	0xe2, 0xbe, 0x54, 0x79, 0x6b, 0x25, 0x82, 0x03, 0x68, 0x53, 0xc8, 0xa5, 0xf0, 0x43, 0x6d, 0x35,
	0xd3, 0xec, 0xf2, 0x6c, 0xc7, 0xf0, 0x64, 0x12, 0x11, 0xd3, 0xf4, 0x91, 0x69, 0x8a, 0xd9, 0xf5,
	0x59, 0xa8, 0x29, 0xba, 0x64, 0x2e, 0x39, 0xf4, 0x13, 0x0f, 0xc0, 0xa4, 0xd0, 0x0d, 0xd8, 0x2f,
	0xf2, 0x79, 0x0e, 0x58, 0x06, 0x92, 0x6c, 0xc8, 0x7e, 0x90, 0x92, 0xcc, 0xa5, 0x1c, 0xb5, 0x0c,
	0xa4, 0x43, 0xb9, 0x2e, 0x29, 0xc5, 0x38, 0x8f, 0x72, 0xd8, 0x4a, 0xc4, 0xfe, 0x0d, 0x83, 0x6d,
	0xc0, 0x4a, 0xee, 0x46, 0x96, 0x57, 0x17, 0x81, 0xef, 0x96, 0x52, 0x95, 0x81, 0x04, 0x39, 0xf0,
	0x95, 0xa6, 0x50, 0x8a, 0x28, 0x23, 0xdc, 0x71, 0x2a, 0x11, 0xfb, 0xaf, 0x01, 0x56, 0x06, 0x3d,
	0x09, 0x7c, 0x0a, 0xf5, 0x2d, 0x28, 0xaf, 0x92, 0x6a, 0xac, 0x93, 0xc2, 0xa3, 0xaa, 0x24, 0x09,
	0xf2, 0xfd, 0xb1, 0xb9, 0x7c, 0xe5, 0xaa, 0x3a, 0xaf, 0xe0, 0x9e, 0x97, 0xf1, 0xb6, 0x5a, 0x69,
	0xd9, 0x83, 0xbc, 0xac, 0x7c, 0x68, 0xa7, 0xa8, 0xb0, 0x3f, 0x15, 0x6f, 0x54, 0x9b, 0x77, 0xa7,
	0x52, 0x75, 0x3b, 0x9d, 0x83, 0x99, 0xa1, 0xec, 0x66, 0xfb, 0x02, 0x5a, 0x92, 0x28, 0xe3, 0xb9,
	0x71, 0xc2, 0x34, 0x6d, 0x1f, 0x00, 0x14, 0x37, 0x2a, 0x89, 0x5d, 0x68, 0x88, 0x45, 0x7a, 0x57,
	0xdb, 0x69, 0x88, 0x85, 0xfd, 0x1e, 0x70, 0x4a, 0x01, 0x69, 0x5a, 0x91, 0x79, 0x45, 0x28, 0x63,
	0xbb, 0x50, 0xf6, 0x29, 0xec, 0xd7, 0xda, 0x33, 0xd6, 0xa5, 0x03, 0x8c, 0x35, 0x07, 0xd8, 0xdf,
	0x00, 0x97, 0xe5, 0x9f, 0x35, 0xd3, 0x57, 0x6a, 0x37, 0xd9, 0xa3, 0x75, 0x37, 0x6f, 0x9b, 0xe8,
	0x0d, 0xec, 0xd7, 0x2e, 0x57, 0x32, 0x59, 0xb2, 0xd8, 0x53, 0xe9, 0x39, 0xbf, 0x7c, 0x79, 0x7e,
	0xf9, 0x16, 0xda, 0xc5, 0x9a, 0x63, 0x1b, 0x5a, 0x33, 0x11, 0x52, 0xff, 0x0e, 0xf6, 0x61, 0x6f,
	0x22, 0x42, 0xcd, 0xfc, 0x90, 0x22, 0x7e, 0xc6, 0xfb, 0x06, 0x76, 0xc0, 0x9c, 0x15, 0x38, 0xfd,
	0xc6, 0xf8, 0x4f, 0x13, 0x9a, 0x73, 0x8f, 0xe3, 0x57, 0x78, 0xb4, 0x79, 0x55, 0x70, 0x98, 0x4e,
	0xb8, 0x75, 0x81, 0x07, 0xcf, 0x6e, 0xcc, 0x2b, 0x89, 0x5f, 0xe0, 0xe1, 0x46, 0x6b, 0xe1, 0xd3,
	0x4a, 0x67, 0x7d, 0x4d, 0x06, 0xc3, 0x9b, 0xd2, 0x4a, 0xe2, 0x14, 0x7a, 0x6b, 0x22, 0xe1, 0xe3,
	0xb4, 0xa5, 0xfe, 0x2e, 0x03, 0x6b, 0x73, 0x42, 0x49, 0x7c, 0x0d, 0xe6, 0x07, 0xce, 0x33, 0x73,
	0x61, 0xb7, 0xe2, 0xbf, 0xa4, 0xad, 0xb7, 0x72, 0xce, 0xaa, 0xa7, 0x14, 0xfc, 0x6f, 0xf5, 0x14,
	0x7a, 0x6b, 0xc6, 0xca, 0x27, 0xac, 0xbb, 0x35, 0x9f, 0x70, 0x83, 0x0f, 0x2f, 0xee, 0xa6, 0x7f,
	0xf9, 0xd3, 0x7f, 0x01, 0x00, 0x00, 0xff, 0xff, 0x20, 0x15, 0x96, 0x8d, 0xfb, 0x05, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// WgdClient is the client API for Wgd service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type WgdClient interface {
	//
	// Create interfaces.
	//
	CreateGatewayInterface(ctx context.Context, in *CreateGatewayInterfaceReq, opts ...grpc.CallOption) (*CreateGatewayInterfaceResp, error)
	CreateClientInterface(ctx context.Context, in *CreateClientInterfaceReq, opts ...grpc.CallOption) (*CreateClientInterfaceResp, error)
	// Get information about wireguard interfaces
	InterfaceStatus(ctx context.Context, in *InterfaceStatusReq, opts ...grpc.CallOption) (*InterfaceStatusResp, error)
	// Add/update interface peers. (add peers to a gateway interface).
	AddWgPeer(ctx context.Context, in *WgPeerReq, opts ...grpc.CallOption) (*WgPeerResp, error)
	// Delete a peer from an gateway interface.
	DelWgPeer(ctx context.Context, in *WgPeerReq, opts ...grpc.CallOption) (*WgPeerResp, error)
	// Delete the specified interface from the host/node/container.
	DeleteInterface(ctx context.Context, in *DeleteInterfaceReq, opts ...grpc.CallOption) (*DeleteInterfaceResp, error)
}

type wgdClient struct {
	cc *grpc.ClientConn
}

func NewWgdClient(cc *grpc.ClientConn) WgdClient {
	return &wgdClient{cc}
}

func (c *wgdClient) CreateGatewayInterface(ctx context.Context, in *CreateGatewayInterfaceReq, opts ...grpc.CallOption) (*CreateGatewayInterfaceResp, error) {
	out := new(CreateGatewayInterfaceResp)
	err := c.cc.Invoke(ctx, "/wgd.Wgd/CreateGatewayInterface", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdClient) CreateClientInterface(ctx context.Context, in *CreateClientInterfaceReq, opts ...grpc.CallOption) (*CreateClientInterfaceResp, error) {
	out := new(CreateClientInterfaceResp)
	err := c.cc.Invoke(ctx, "/wgd.Wgd/CreateClientInterface", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdClient) InterfaceStatus(ctx context.Context, in *InterfaceStatusReq, opts ...grpc.CallOption) (*InterfaceStatusResp, error) {
	out := new(InterfaceStatusResp)
	err := c.cc.Invoke(ctx, "/wgd.Wgd/InterfaceStatus", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdClient) AddWgPeer(ctx context.Context, in *WgPeerReq, opts ...grpc.CallOption) (*WgPeerResp, error) {
	out := new(WgPeerResp)
	err := c.cc.Invoke(ctx, "/wgd.Wgd/AddWgPeer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdClient) DelWgPeer(ctx context.Context, in *WgPeerReq, opts ...grpc.CallOption) (*WgPeerResp, error) {
	out := new(WgPeerResp)
	err := c.cc.Invoke(ctx, "/wgd.Wgd/DelWgPeer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdClient) DeleteInterface(ctx context.Context, in *DeleteInterfaceReq, opts ...grpc.CallOption) (*DeleteInterfaceResp, error) {
	out := new(DeleteInterfaceResp)
	err := c.cc.Invoke(ctx, "/wgd.Wgd/DeleteInterface", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// WgdServer is the server API for Wgd service.
type WgdServer interface {
	//
	// Create interfaces.
	//
	CreateGatewayInterface(context.Context, *CreateGatewayInterfaceReq) (*CreateGatewayInterfaceResp, error)
	CreateClientInterface(context.Context, *CreateClientInterfaceReq) (*CreateClientInterfaceResp, error)
	// Get information about wireguard interfaces
	InterfaceStatus(context.Context, *InterfaceStatusReq) (*InterfaceStatusResp, error)
	// Add/update interface peers. (add peers to a gateway interface).
	AddWgPeer(context.Context, *WgPeerReq) (*WgPeerResp, error)
	// Delete a peer from an gateway interface.
	DelWgPeer(context.Context, *WgPeerReq) (*WgPeerResp, error)
	// Delete the specified interface from the host/node/container.
	DeleteInterface(context.Context, *DeleteInterfaceReq) (*DeleteInterfaceResp, error)
}

// UnimplementedWgdServer can be embedded to have forward compatible implementations.
type UnimplementedWgdServer struct {
}

func (*UnimplementedWgdServer) CreateGatewayInterface(ctx context.Context, req *CreateGatewayInterfaceReq) (*CreateGatewayInterfaceResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateGatewayInterface not implemented")
}
func (*UnimplementedWgdServer) CreateClientInterface(ctx context.Context, req *CreateClientInterfaceReq) (*CreateClientInterfaceResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateClientInterface not implemented")
}
func (*UnimplementedWgdServer) InterfaceStatus(ctx context.Context, req *InterfaceStatusReq) (*InterfaceStatusResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InterfaceStatus not implemented")
}
func (*UnimplementedWgdServer) AddWgPeer(ctx context.Context, req *WgPeerReq) (*WgPeerResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddWgPeer not implemented")
}
func (*UnimplementedWgdServer) DelWgPeer(ctx context.Context, req *WgPeerReq) (*WgPeerResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DelWgPeer not implemented")
}
func (*UnimplementedWgdServer) DeleteInterface(ctx context.Context, req *DeleteInterfaceReq) (*DeleteInterfaceResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteInterface not implemented")
}

func RegisterWgdServer(s *grpc.Server, srv WgdServer) {
	s.RegisterService(&_Wgd_serviceDesc, srv)
}

func _Wgd_CreateGatewayInterface_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateGatewayInterfaceReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdServer).CreateGatewayInterface(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgd.Wgd/CreateGatewayInterface",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdServer).CreateGatewayInterface(ctx, req.(*CreateGatewayInterfaceReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgd_CreateClientInterface_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateClientInterfaceReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdServer).CreateClientInterface(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgd.Wgd/CreateClientInterface",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdServer).CreateClientInterface(ctx, req.(*CreateClientInterfaceReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgd_InterfaceStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InterfaceStatusReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdServer).InterfaceStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgd.Wgd/InterfaceStatus",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdServer).InterfaceStatus(ctx, req.(*InterfaceStatusReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgd_AddWgPeer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(WgPeerReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdServer).AddWgPeer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgd.Wgd/AddWgPeer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdServer).AddWgPeer(ctx, req.(*WgPeerReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgd_DelWgPeer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(WgPeerReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdServer).DelWgPeer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgd.Wgd/DelWgPeer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdServer).DelWgPeer(ctx, req.(*WgPeerReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgd_DeleteInterface_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteInterfaceReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdServer).DeleteInterface(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgd.Wgd/DeleteInterface",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdServer).DeleteInterface(ctx, req.(*DeleteInterfaceReq))
	}
	return interceptor(ctx, in, info, handler)
}

var _Wgd_serviceDesc = grpc.ServiceDesc{
	ServiceName: "wgd.Wgd",
	HandlerType: (*WgdServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateGatewayInterface",
			Handler:    _Wgd_CreateGatewayInterface_Handler,
		},
		{
			MethodName: "CreateClientInterface",
			Handler:    _Wgd_CreateClientInterface_Handler,
		},
		{
			MethodName: "InterfaceStatus",
			Handler:    _Wgd_InterfaceStatus_Handler,
		},
		{
			MethodName: "AddWgPeer",
			Handler:    _Wgd_AddWgPeer_Handler,
		},
		{
			MethodName: "DelWgPeer",
			Handler:    _Wgd_DelWgPeer_Handler,
		},
		{
			MethodName: "DeleteInterface",
			Handler:    _Wgd_DeleteInterface_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/wgd/spec.proto",
}
